Package twisted :: Package trial :: Module unittest :: Class Reporter

[show private | hide private]
[frames | no frames]

## Class Reporter

Known Subclasses:
  `TextReporter`, `MinimalReporter`

Method Summary
| `__init__(self)`
| `allPassed(self)`
| `getRunningTime(self)`
| `reportError(self, testClass, method, exc_info)`
| `reportFailure(self, testClass, method, exc_info)`
| `reportImportError(self, name, exc)`
| `reportSkip(self, testClass, method, exc_info)`
| `reportStart(self, testClass, method)`
| `reportSuccess(self, testClass, method)`
| `start(self, expectedTests)`
| `stop(self)`

Generated by Epydoc 1.1 on Sat Feb 15 21:19:27 2003 | http://epydoc.sf.net